Delete an agent

Permanently delete an agent and all extraction results derived from it. Returns 204 on success. Returns 404 if the agent does not exist on this project.

On this page

HTTP request

DELETE https://api.parsewise.ai/api/v1/projects/{project_id}/agents/{agent_id}/

URI Parameters

Name In Required Type Description
agent_id path Yes string (uuid)  
project_id path Yes string (uuid)  

Request Header

Name Required Type Description
X-API-Key Yes string API key with the pw_live_ prefix. See Authentication.

Responses

Status Type Description
204 No response body

Security

  • ApiKeyAuth — apiKey — in X-API-Key header. API key with pw_live_ prefix.

Python example

import os
import requests

API_KEY = os.environ["PARSEWISE_API_KEY"]
BASE_URL = "https://api.parsewise.ai/api/v1"

agent_id = "<uuid>"
project_id = "<uuid>"

resp = requests.delete(
    f"{BASE_URL}/projects/{project_id}/agents/{agent_id}/",
    headers={"X-API-Key": API_KEY},
)
resp.raise_for_status()
print(resp.status_code)  # DELETE returns no body